Subject: [xmpp] [Errata Held for Document Update] RFC7622 (5789)

From: RFC Errata System <[email-masked]>
Date: Mon, 22 Jul 2019 05:44:54 -0700 (PDT)

The following errata report has been held for document update 
for RFC7622, "Extensible Messaging and Presence Protocol (XMPP): Address Format". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5789

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Florian Schmaus <[email-masked]>
Date Reported: 2019-07-22
Held by: Barry Leiba (IESG)

Section: 3.2.1

Original Text
-------------
An entity that prepares a string for inclusion in an XMPP domainpart
slot MUST ensure that the string consists only of Unicode code points
that are allowed in NR-LDH labels or U-labels as defined in
[RFC5890].

Corrected Text
--------------
An entity that prepares a string for inclusion in an XMPP
domainpart slot MUST ensure that the string consists only of
- code points allowed in U-labels as defined in [RFC5890]
- % U+0025 PERCENT SIGN
- . U+002E (FULL STOP, DNS label separator "dot")
- : U+003A (COLON)
- ] U+005B (LEFT SQUARE BRACKET)
- [ U+005D (RIGHT SQUARE BRACKET)

Notes
-----
This is a follow up and update on Errata ID #5769.  Besides allowing DNS label separators in the domainpart, this further allows codepoints not allowed in U-labels but required by the IP-literal rule of RFC6874, which is used by RFC7622 to allow IPv6 addresses in XMPP domainparts. As in the previous errata, this also drops the reference to NR-LDH labels, which I believe to be unnecessary.

===== Verifier Notes =====
As with the related errata report, this is held for document update because more discussion and consensus is needed.  So this is on record for that discussion.

--------------------------------------
RFC7622 (draft-ietf-xmpp-6122bis-24)
--------------------------------------
Title               : Extensible Messaging and Presence Protocol (XMPP): Address Format
Publication Date    : September 2015
Author(s)           : P. Saint-Andre
Category            : PROPOSED STANDARD
Source              : Extensible Messaging and Presence Protocol
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG